using NUnit.Framework;
using RecrownedGTK.Types;

namespace RecrownedGTK.Tests.Types {
    [TestFixture]
    public class ResolutionTest {
        Resolution resolution;
        [SetUp]
        public void Setup() {
            resolution = new Resolution(1920, 1080);
        }
        [Test]
        public void TestArea() {
            Assert.AreEqual(resolution.Area(), 1920*1080);
        }

        [Test]
        public void TestAreaCompare() {
            Resolution greaterResolution = new Resolution(3840, 2160);
            Assert.Positive(greaterResolution.CompareTo(resolution));
        }
    }
}